Trigger Action By Id

Trigger Action By Id
Trigger action specified on API Token, e.g. regenerate API Token

Trigger action specified on API Token, e.g. regenerate API Token

Request
URI
POST
https://{api_host}/acs/t/{tenant}/api-tokens/{id}
COPY
Path Parameters
string
id
Required  

The API token identifier

string
tenant
Required  

The VMware Identity Services tenant ID

tenant example
my-tenant
Query Parameters
array
action
Required  

The action to be executed for the API Token.

Enumeration: regenerate

Request Body
APITokensTriggerActionRequestMedia of type(s) application/vnd.vmware.vidm.api-tokens.trigger.action.request+json
Optional
{
    "_links": {
        "self": {
            "href": "https://example.com/path-to-self"
        }
    }
}
object
_links
Read-Only  

The resource HATEOAS links. Usually includes a "self" link for this resource

Authentication
This operation uses the following authentication methods.
Responses
200

Action executed successfully

Returns APITokensTriggerActionResponseMedia of type(s) application/vnd.vmware.vidm.api-tokens.trigger.action.response+json
{
    "_links": {
        "self": {
            "href": "https://example.com/path-to-self"
        }
    },
    "id": "string",
    "client_display_name": "string",
    "client_id": "string",
    "client_type": "string",
    "token_display_name": "string",
    "token_type": "string",
    "token_sub_type": "string",
    "token_suffix": "string",
    "api_token_ttl": 0,
    "access_token_ttl": 0,
    "acct": "string",
    "user_status": false,
    "expiration_date": "string",
    "last_access_time": "string",
    "created_date": "string",
    "modified_date": "string",
    "token_status": "string",
    "token_description": "string",
    "token": "string"
}

401

Unauthorized access

Operation doesn't return any data structure

404

Not found

Operation doesn't return any data structure

Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/vnd.vmware.vidm.api-tokens.trigger.action.request+json' -d '{}' https://{api_host}/acs/t/{tenant}/api-tokens/{id}